VoiceBot Call Log

Prev Next

VoiceBot Call Log

VoiceBot Call Log JSON Format

VoiceBot Call Log is represented as simple flat JSON objects with the following keys:

Name Type Description
id guid Id of the Voicebot Call Log.
from string Phone number or SIP URI.
to string Phone number or SIP URI.
voicebotId guid Id of the Voicebot.
transferredTime datetime only happens when a call is transferred.
status enum Allowed values are completed, transferred.
startTime datetime Start Time.
callDuration integer Call duration, expressed in seconds
transferredTo string Id of the Voicebot Call Log.
recordingFileURL string The recording file will be compressed into MP3 format to save space, and uploaded to the S3 storage server of AWS, and the URL will be saved in the field.
transcript TextRecord[] JSON format. The text record list of this call, including the content, the start time, and the speaker of each sentence.

VoiceBot Text Record Json Format

VoiceBot Call Log is represented as simple flat JSON objects with the following keys:

Name Type Description
role enum The role that generated this record.Allowed values are voiceBot, visitor, system
name string The name of role Voice Bot or user phonenumber or user sipuri
text string Record content. when type is text,it represents text record content;when type is dtmf,it represents dtmf input;when type is audio, it represents audio name.
time time start time.
type enum Allowed values are recordingStarted, recordingPaused, recordingResumed, recordingStopped,text,dtmf,audio.

Get the list of VoiceBot Call Log

GET voicebot/voicebotCallLogs

  • Parameters:

No Parameters

  • Response:

An array of VoiceBot Call Log

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotCallLogs \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "voicebotCallLogs": [
      {
          "id": "eefe4538-bec3-47ef-89ea-879b59a16941",
          "from": "",
          "to": "",
          "voicebotId": "",
          "transferredTime": "",
          "status": "",
          "startTime": "",
          "callDuration": 1,
          "transferredTo": "",
            "recordingFileURL":"https://aws.amazone.com/eefe4538-bec3-47ef-89ea-879b59a16941.wav",
          "transcript": [{"role":"voiceBot","name":"Voice Bot","time":"00:00:02.3423523","text":"Hello, this is echo bot. I\"ll repeat what you say. You can start talking now.","type":"text"},
                            {"role":"visitor","name":"visitor","time":"00:00:05.3423523","text":"hello","type":"text"},
                            {"role":"voiceBot","name":"Voice Bot","time":"00:00:05.3423523","text":"hello","type":"text"},
                            {"role":"visitor","name":"+18448586997","time":"00:00:11.3423523","text":"nice to meet you","type":"text"},
                            {"role":"voiceBot","name":"Voice Bot","time":"00:00:11.3423523","text":"nice to meet you","type":"text"},
                            {"role":"visitor","name":"+18448586997","time":"00:00:15.3423523","text":"goodbye","type":"text"},
                            {"role":"voiceBot","name":"Voice Bot","time":"00:00:15.3423523","text":"goodbye","type":"text"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingStarted"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingPaused"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingResumed"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingStopped"},
                            {"role":"visitor","name":"+18448586997","time":"00:00:15.3423523","text":"1234","type":"dtmf"}],
      }
  ],
  "nextPage": null,
  "previousPage": null,
  "total": 1
} 

Get a single VoiceBot Call Log

GET voicebot/voicebotCallLogs/{id}

  • Parameters:

No Parameters

  • Response:

VoiceBot Call Log

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotCallLogs/eefe4538-bec3-47ef-89ea-879b59a16941 \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "id": "eefe4538-bec3-47ef-89ea-879b59a16941",
  "from": "",
  "to": "",
  "voicebotId": "",
  "transferredTime": "",
  "status": "",
  "startTime": "",
  "callDuration": 1,
  "transferredTo": "",
   "recordingFileURL":"https://aws.amazone.com/eefe4538-bec3-47ef-89ea-879b59a16941.wav",
    "transcript": [{"role":"voiceBot","name":"Voice Bot","time":"00:00:02.3423523","text":"Hello, this is echo bot. I\"ll repeat what you say. You can start talking now.","type":"text"},
                            {"role":"visitor","name":"visitor","time":"00:00:05.3423523","text":"hello","type":"text"},
                            {"role":"voiceBot","name":"Voice Bot","time":"00:00:05.3423523","text":"hello","type":"text"},
                            {"role":"visitor","name":"+18448586997","time":"00:00:11.3423523","text":"nice to meet you","type":"text"},
                            {"role":"voiceBot","name":"Voice Bot","time":"00:00:11.3423523","text":"nice to meet you","type":"text"},
                            {"role":"visitor","name":"+18448586997","time":"00:00:15.3423523","text":"goodbye","type":"text"},
                            {"role":"voiceBot","name":"Voice Bot","time":"00:00:15.3423523","text":"goodbye","type":"text"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingStarted"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingPaused"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingResumed"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingStopped"},
                            {"role":"visitor","name":"+18448586997","time":"00:00:15.3423523","text":"1234","type":"dtmf"}]
} 

Create a new VoiceBot Call Log

POST voicebot/voicebotCallLogs

  • Parameters:

Name Type in Required Description
from string body yes Phone number or SIP URI.
to string body yes Phone number or SIP URI.
voicebotId guid body no Id of the Voicebot.
transferredTime datetime body no only happens when a call is transferred.
status enum body no Allowed values are completed, transferred.
startTime datetime body no Start Time.
callDuration integer body no Call duration, expressed in seconds
transferredTo string body no Id of the Voicebot Call Log.
  • Response:

VoiceBot Call Log

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotCallLogs \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"from":"","to":"","voicebotId":"","transferredTime":"","status":"","startTime":"","callDuration":1,"transferredTo":""}' 

Response:

HTTP/1.1 201 Created

{
  "id": "eefe4538-bec3-47ef-89ea-879b59a16941",
  "from": "",
  "to": "",
  "voicebotId": "",
  "transferredTime": "",
  "status": "",
  "startTime": "",
  "callDuration": 1,
  "transferredTo": "",
              "recordingFileURL":"https://aws.amazone.com/eefe4538-bec3-47ef-89ea-879b59a16941.wav",
          "transcript": [{"role":"voiceBot","name":"Voice Bot","time":"00:00:02.3423523","text":"Hello, this is echo bot. I\"ll repeat what you say. You can start talking now.","type":"text"},
                            {"role":"visitor","name":"visitor","time":"00:00:05.3423523","text":"hello","type":"text"},
                            {"role":"voiceBot","name":"Voice Bot","time":"00:00:05.3423523","text":"hello","type":"text"},
                            {"role":"visitor","name":"+18448586997","time":"00:00:11.3423523","text":"nice to meet you","type":"text"},
                            {"role":"voiceBot","name":"Voice Bot","time":"00:00:11.3423523","text":"nice to meet you","type":"text"},
                            {"role":"visitor","name":"+18448586997","time":"00:00:15.3423523","text":"goodbye","type":"text"},
                            {"role":"voiceBot","name":"Voice Bot","time":"00:00:15.3423523","text":"goodbye","type":"text"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingStarted"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingPaused"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingResumed"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingStopped"},
                            {"role":"visitor","name":"+18448586997","time":"00:00:15.3423523","text":"1234","type":"dtmf"}]
} 

Update the VoiceBot Call Log

PUT voicebot/voicebotCallLogs/{id}

  • Parameters:

Name Type in Required Description
from string body yes Phone number or SIP URI.
to string body yes Phone number or SIP URI.
voicebotId guid body no Id of the Voicebot.
transferredTime datetime body no only happens when a call is transferred.
status enum body no Allowed values are completed, transferred.
startTime datetime body no Start Time.
callDuration integer body no Call duration, expressed in seconds
transferredTo string body no Id of the Voicebot Call Log.
  • Response:

VoiceBot Call Log

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotCallLogs/eefe4538-bec3-47ef-89ea-879b59a16941 \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"from":"","to":"","voicebotId":"","transferredTime":"","status":"","startTime":"","callDuration":1,"transferredTo":""}' 

Response:

HTTP/1.1 200 OK

{
  "id": "eefe4538-bec3-47ef-89ea-879b59a16941",
  "from": "",
  "to": "",
  "voicebotId": "",
  "transferredTime": "",
  "status": "",
  "startTime": "",
  "callDuration": 1,
  "transferredTo": "",
  "recordingFileURL":"https://aws.amazone.com/eefe4538-bec3-47ef-89ea-879b59a16941.wav",
   "transcript": [{"role":"voiceBot","name":"Voice Bot","time":"00:00:02.3423523","text":"Hello, this is echo bot. I\"ll repeat what you say. You can start talking now.","type":"text"},
                            {"role":"visitor","name":"visitor","time":"00:00:05.3423523","text":"hello","type":"text"},
                            {"role":"voiceBot","name":"Voice Bot","time":"00:00:05.3423523","text":"hello","type":"text"},
                            {"role":"visitor","name":"+18448586997","time":"00:00:11.3423523","text":"nice to meet you","type":"text"},
                            {"role":"voiceBot","name":"Voice Bot","time":"00:00:11.3423523","text":"nice to meet you","type":"text"},
                            {"role":"visitor","name":"+18448586997","time":"00:00:15.3423523","text":"goodbye","type":"text"},
                            {"role":"voiceBot","name":"Voice Bot","time":"00:00:15.3423523","text":"goodbye","type":"text"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingStarted"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingPaused"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingResumed"},
                            {"role":"system","name":"","time":"00:00:15.3423523","text":"","type":"recordingStopped"},
                            {"role":"visitor","name":"+18448586997","time":"00:00:15.3423523","text":"1234","type":"dtmf"}],
} 

Remove the VoiceBot Call Log

DELETE voicebot/voicebotCallLogs/{id}

  • Parameters:

No Parameters

  • Response:

No Content

  • Example

Sample Request:

curl https://api11.comm100.io/v4/voicebot/voicebotCallLogs/eefe4538-bec3-47ef-89ea-879b59a16941 \ 
    -X 'DELETE' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 204 No Content

© 2021 | Comm100
Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.